summarylogtreecommitdiffstats
path: root/mullvad-vpn.install
diff options
context:
space:
mode:
authorMark Wagie2020-06-25 09:31:50 -0600
committerMark Wagie2020-06-25 09:31:50 -0600
commit113c351d9a0f1d07513fe5aa0f43de8474e18c27 (patch)
tree5c52221d0552d837264c317634540f8398b3a26c /mullvad-vpn.install
parent6de57b915823b5d025b6f6b2a980adabcd62f634 (diff)
downloadaur-113c351d9a0f1d07513fe5aa0f43de8474e18c27.tar.gz
updated to 2020.5
Diffstat (limited to 'mullvad-vpn.install')
-rw-r--r--mullvad-vpn.install14
1 files changed, 9 insertions, 5 deletions
diff --git a/mullvad-vpn.install b/mullvad-vpn.install
index 6fe7d441bf1f..95ec59694b77 100644
--- a/mullvad-vpn.install
+++ b/mullvad-vpn.install
@@ -1,26 +1,30 @@
pre_install() {
if systemctl status mullvad-daemon &> /dev/null; then
echo 'Stopping & disabling Mullvad VPN daemon...'
+ /opt/Mullvad\ VPN/resources/mullvad-setup prepare-restart || true
systemctl disable --now mullvad-daemon
fi
-
+
rm -f /var/cache/mullvad-vpn/relays.json || true
}
post_install() {
echo 'Enabling Mullvad VPN daemon...'
systemctl enable --now mullvad-daemon
+
+ chmod u+s "/usr/bin/mullvad-exclude"
}
pre_upgrade() {
- echo 'Stopping Mullvad VPN daemon...'
- systemctl stop mullvad-daemon
+ pre_install
}
post_upgrade() {
- echo 'Restarting Mullvad VPN daemon...'
+ echo 'Starting & enabling Mullvad VPN daemon...'
systemctl daemon-reload
- systemctl start mullvad-daemon
+ systemctl enable --now mullvad-daemon
+
+ chmod u+s "/usr/bin/mullvad-exclude"
}
pre_remove() {